Page MenuHomePhabricator

Add Hungarian localization for the servers unavailable error message
Closed, ResolvedPublic

Description

Please add Hungarian translation to the standard "Our servers are currently experiencing a technical problem"; similar sized languages seem to have one already. The translated text should be this:

Hiba

Pillanatnyilag műszaki problémák miatt nem tudjuk megjeleníteni az oldalt. A hiba valószínűleg átmeneti, kérlek, [próbáld újra] pár perc múlva.

Részletesebb információkat [a Freenode IRC-hálózat] [#wikipedia-hu] csatornáján kaphatsz.

A Wikipédiát üzemeltető Wikimedia Foundation nonprofit szervezet, amely folyamatosan új hardverek vásárlására szorul. A [támogatásod] segíthet elkerülni az ilyen hibákat.

Ha jelented ezt a hibát a Wikimedia rendszer-adminisztrátorainak, ne felejtsd el mellékelni az alábbi információkat:

<error details>

Links:
[próbáld újra] - link to reload the requested page
[a Freenode IRC-hálózat] - link to the freenode tutorial (or wherever it points in English, I forgot)
[#wikipedia-hu] - link to the huwiki irc channel, irc://chat.freenode.net/wikipedia-hu
[támogatásod] - link to the donation page, http://wikimediafoundation.org/wiki/Gy%C5%B1jt%C5%91kamp%C3%A1ny

Thanks.


Version: unspecified
Severity: enhancement

Details

Reference
bz13502

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:04 PM
bzimport set Reference to bz13502.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Mar 25 2008, 4:11 PM

http://svn.wikimedia.org/viewvc/mediawiki/trunk/debs/squid/debian/errors/error.html?view=markup is the file that needs changing

This is the main block in english that needs translating

<div id="en" lang="en">

 <h3 id="en_head" class="LanguageHeading">
  <a name="English">English</a>
 </h3>
 <p>Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon. Please <a href="%U" onclick="RefreshPage(); return false">try again</a> in a few minutes.</p>
 <p>You may be able to get further information in the <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> channel on the <a href="http://www.freenode.net">Freenode IRC network</a>.</p>
 <p>The Wikimedia Foundation is a non-profit organisation which hosts some of the most popular sites on the Internet, including Wikipedia. It has a constant need to purchase new hardware. If you would like to help, please <a href="http://wikimediafoundation.org/wiki/Fundraising">donate</a>.</p>
 <hr noshade="noshade" size="1px" width="80%" />
 <div class="TechnicalStuff">
  If you report this error to the Wikimedia System Administrators, please include the details below.<br/>
 </div>
 <div class="TechnicalStuff">
  <bdo dir="ltr">
   Request: %M %U, from %i via %h (%s) to %H (%I)<br/>
   Error: %c, errno %E at %T
  </bdo>
  <div id="AdditionalTechnicalStuff"></div>
 </div>
</div>

These also need doing

LanguageDetails['en'] = new Array( "Wikimedia Foundation", "Error" );

<a href="#English" class="BottomLinks" id="en_link" onclick="ShowLanguage('en')">English</a>

I could probably piece it together for you, but probably easier if you do it :)

Then i/someone can create a patch (or someone with commit access can commit)

bdanee88 wrote:

Here it is:

<div id="hu" lang="hu">

<h3 id="hu_head" class="LanguageHeading">
 <a name="Magyar">Magyar</a>
</h3>
<p>Pillanatnyilag műszaki problémák miatt nem tudjuk megjeleníteni az oldalt.

A hiba valószínűleg átmeneti, kérlek, <a href="%U"
onclick="RefreshPage(); return false">próbáld újra</a> pár perc múlva.</p>

<p>Részletesebb információkat <a

href="http://www.freenode.net">a Freenode IRC-hálózat</a> <a
href="irc://chat.freenode.net/wikipedia">#wikipedia-hu</a>
csatornáján kaphatsz.

<p>A Wikipédiát üzemeltető Wikimedia Foundation nonprofit szervezet, amely

folyamatosan új hardverek vásárlására szorul. A <a
href="http://wikimediafoundation.org/wiki/Fundraising">támogatásod</a> segíthet
elkerülni az ilyen hibákat.

<hr noshade="noshade" size="1px" width="80%" />
<div class="TechnicalStuff">
 Ha jelented ezt a hibát a Wikimedia rendszer-adminisztrátorainak, ne felejtsd

el mellékelni az alábbi információkat:<br/>

 </div>
 <div class="TechnicalStuff">
  <bdo dir="ltr">
   Request: %M %U, from %i via %h (%s) to %H (%I)<br/>
   Error: %c, errno %E at %T
  </bdo>
  <div id="AdditionalTechnicalStuff"></div>
 </div>
</div>

And the other things:
LanguageDetails['hu'] = new Array( "Wikimedia Foundation", "Hiba" );

<a href="#Magyar" class="BottomLinks" id="hu_link"
onclick="ShowLanguage('hu')">Magyar</a>

Created attachment 5734
Hungarian Language Patch for Squid Error.html (with correct, Unicode Hungarian characters)

Patch attached

attachment HungarianSquidError.patch ignored as obsolete

bdanee88 wrote:

Comment on attachment 5734
Hungarian Language Patch for Squid Error.html (with correct, Unicode Hungarian characters)

Index: error.html

  • error.html (revision 46295)

+++ error.html (working copy)
@@ -100,6 +100,7 @@

LanguageDetails['fi'] = new Array( "Wikimedia Foundation", "Virhe" );
LanguageDetails['fr'] = new Array( "Wikimedia Foundation", "Erreur" );
LanguageDetails['he'] = new Array( "קרן ויקימדיה", "שגיאה" );

+ LanguageDetails['hu'] = new Array( "Wikimedia Foundation", "Hiba" );

LanguageDetails['id'] = new Array( "Wikimedia Foundation", "Error" );
LanguageDetails['it'] = new Array( "Wikimedia Foundation", "Errore" );
LanguageDetails['ja'] = new Array( "ウィキメディア財団", "エラー" );

@@ -259,6 +260,7 @@

<a href="#Persian" class="BottomLinks" onclick="ShowLanguage('fa')">فارسی</a>
<a href="#French" class="BottomLinks" onclick="ShowLanguage('fr')">Français</a>
<a href="#Hebrew" class="BottomLinks" onclick="ShowLanguage('he')">עברית</a>

+ <a href="#Magyar" class="BottomLinks" onclick="ShowLanguage('hu')">Magyar</a>

<a href="#Italian" class="BottomLinks" onclick="ShowLanguage('it')">Italiano</a>
<a href="#Japanese" class="BottomLinks" onclick="ShowLanguage('ja')">日本語</a>
<a href="#Korean" class="BottomLinks" onclick="ShowLanguage('ko')">한국어</a>

@@ -586,6 +588,31 @@

 </div>
</div>

+<div id="hu" lang="hu">
+ <div id="hu_head">
+ <hr noshade="noshade" size="1px" width="100%"/>
+ <h3 class="LanguageHeading">
+ <a name="Magyar">
+ Magyar
+ </a>
+ </h3>
+ </div>
+ <p>Pillanatnyilag műszaki problémák miatt nem tudjuk megjeleníteni az oldalt. A hiba valószínűleg átmeneti, kérlek, <a href="%U" onclick="RefreshPage(); return false">próbáld újra</a> pár perc múlva.</p>
+ <p>Részletesebb információkat <a href="http://www.freenode.net">a Freenode IRC-hálózat</a> <a href="irc://chat.freenode.net/wikipedia">#wikipedia-hu</a> csatornáján kaphatsz.
+ <p>A Wikipédiát üzemeltető Wikimedia Foundation nonprofit szervezet, amely folyamatosan új hardverek vásárlására szorul. A <a href="http://wikimediafoundation.org/wiki/Fundraising">támogatásod</a> segíthet elkerülni az ilyen hibákat.
+ <hr noshade="noshade" size="1px" width="80%" />
+ <div class="TechnicalStuff">
+ Ha jelented ezt a hibát a Wikimedia rendszer-adminisztrátorainak, ne felejtsd el mellékelni az alábbi információkat:<br/>
+ </div>
+ <div class="TechnicalStuff">
+ <bdo dir="ltr">
+ Request: %M %U, from %i via %h (%s) to %H (%I)<br/>
+ Error: %c, errno %E at %T
+ </bdo>
+ <div id="AdditionalTechnicalStuff"></div>
+ </div>
+ </div>
+

<div id="id" lang="id">
 <div id="id_head">
  <hr noshade="noshade" size="1px" width="100%"/>

@@ -1036,6 +1063,7 @@

<a href="#Korean" class="BottomLinks" id="ko_link" onclick="ShowLanguage('ko')">한국어</a>
<a href="#Italian" class="BottomLinks" id="it_link" onclick="ShowLanguage('it')">Italiano</a>
<a href="#Hebrew" class="BottomLinks" id="he_link" onclick="ShowLanguage('he')">עברית</a>

+ <a href="#Magyar" class="BottomLinks" id="hu_link" onclick="ShowLanguage('hu')">Magyar</a>

 <a href="#Dutch" class="BottomLinks" id="nl_link" onclick="ShowLanguage('nl')">Nederlands</a>
</div>

bdanee88 wrote:

As I see Your patch contains not valid Hungarian Unicode characters (and o instead of ő, u instead of ű in some places). I've created an update in the previous comment (I wanted to create an update to the patch, but I was not able to do that, sorry).

That actually shows as no difference on my pc - Its shown strangely as a diff in FF on here...

I've just noticed
<a href="#Magyar" class="BottomLinks" id="hu_link" onclick="ShowLanguage('hu')">Magyar</a>

Should be

<a href="#Hungarian" class="BottomLinks" id="hu_link" onclick="ShowLanguage('hu')">Magyar</a>

in both cases (due to it being the english locale on the left)

Created attachment 5735
English versions

Fixes the hungarian translations where they should be english

attachment HungarianSquidError2.patch ignored as obsolete

Tgr added a comment.Jan 28 2009, 3:39 PM

Created attachment 5738
Correct encoding, no double id

Attached:

mike.lifeguard+bugs wrote:

This needs to be committed to SVN. I've removed the shell keyword, and changed the Component.

Added on r53114, the updated part needs to be synced to be able to apply on the site.